KCAPI_AEAD_SETASSOCL(3)

NAME
kcapi_aead_setassoclen - set authentication data size

SYNOPSIS

void kcapi_aead_setassoclen(struct kcapi_handle * handle, uint32_t assoclen);

ARGUMENTS

handle
    [in] cipher handle

assoclen
    [in] length of associated data length

DESCRIPTION

The associated data is retained in the cipher handle. During initialization of a cipher handle, it is sent to the kernel. The kernel cipher implementations may verify the appropriateness of the authentication data size and may return an error during initialization if the authentication size is not considered appropriate.

AUTHOR

Stephan Mueller <smueller@chronox.de>
    Author.

COPYRIGHT